/Users/bernard/b20/bsoft/src/rwmol/rwmol_star.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwmol/rwmol_star.cpp - Library routines to read and write molecule files in STAR format.

SYNOPSIS

#include 'rwstar.h'
#include 'rwmolecule.h'
#include 'rwmol_star.h'
#include 'mol_tags.h'
#include 'linked_list.h'
#include 'utilities.h'

  Functions
long read_mol_star (Bstring &filename, Bmolgroup *molgroup)
Reads a molecule group from a STAR format file.
int item_put_atom_list (Bstar_block *block, const char *tag, Bresidue *res, const char *format)
int item_put_chain (Bstar_block *block, const char *tag, Bresidue *res, char chain)
long write_mol_star (Bstring &filename, Bmolgroup *molgroup)
Writes a molecule group to a STAR format file.

  Variables
int verbose

Detailed Description

Library routines to read and write molecule files in STAR format.

Author:
    Bernard Heymann

Date:
    Created: 19980822

    Modified: 20170103

Definition in file rwmol_star.cpp.

Function Documentation

  int item_put_atom_list (Bstar_block * block, const char * tag, Bresidue * res, const char * format)

Definition at line 233 of file rwmol_star.cpp.

  int item_put_chain (Bstar_block * block, const char * tag, Bresidue * res, char chain)

Definition at line 290 of file rwmol_star.cpp.

  long read_mol_star (Bstring & filename, Bmolgroup * molgroup)

Reads a molecule group from a STAR format file.

Parameters:
    &filename the file name.
    *molgroup the molecule group.

Returns:
    long number of molecules read (<0 if reading failed).

Definition at line 25 of file rwmol_star.cpp.

  long write_mol_star (Bstring & filename, Bmolgroup * molgroup)

Writes a molecule group to a STAR format file.

Parameters:
    &filename the file name.
    *molgroup the molecule group.

Returns:
    long number of molecules written (<0 if writing failed).

Definition at line 324 of file rwmol_star.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.